public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: app-office/beancount/
@ 2021-01-05 15:21 Andrew Ammerlaan
  0 siblings, 0 replies; 5+ messages in thread
From: Andrew Ammerlaan @ 2021-01-05 15:21 UTC (permalink / raw
  To: gentoo-commits

commit:     0de7af5f67aa7ac087f9c175b8949e60b134273d
Author:     Wolfgang E. Sanyer <WolfgangESanyer <AT> gmail <DOT> com>
AuthorDate: Tue Jan  5 00:21:57 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Jan  5 00:21:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0de7af5f

app-office/beancount: bump python compat up to 3.9

Signed-off-by: Wolfgang E. Sanyer <WolfgangESanyer <AT> gmail.com>

 app-office/beancount/beancount-2.3.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-office/beancount/beancount-2.3.3.ebuild b/app-office/beancount/beancount-2.3.3.ebuild
index d6403f9d..8784d565 100644
--- a/app-office/beancount/beancount-2.3.3.ebuild
+++ b/app-office/beancount/beancount-2.3.3.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{7..8} )
+PYTHON_COMPAT=( python3_{7..9} )
 
 DISTUTILS_SINGLE_IMPL=1
 


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-office/beancount/
@ 2023-02-27 15:06 Florian Schmaus
  0 siblings, 0 replies; 5+ messages in thread
From: Florian Schmaus @ 2023-02-27 15:06 UTC (permalink / raw
  To: gentoo-commits

commit:     f7dfbeb064b132fbdb4798b786110664bc782929
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Mon Feb 27 00:40:05 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Feb 27 01:35:50 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f7dfbeb0

app-office/beancount: enable py3.11

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 ...t-2.3.5-r1.ebuild => beancount-2.3.5-r2.ebuild} | 57 +++++++++++++++++++---
 1 file changed, 51 insertions(+), 6 deletions(-)

diff --git a/app-office/beancount/beancount-2.3.5-r1.ebuild b/app-office/beancount/beancount-2.3.5-r2.ebuild
similarity index 61%
rename from app-office/beancount/beancount-2.3.5-r1.ebuild
rename to app-office/beancount/beancount-2.3.5-r2.ebuild
index 296a34055..4612d6706 100644
--- a/app-office/beancount/beancount-2.3.5-r1.ebuild
+++ b/app-office/beancount/beancount-2.3.5-r2.ebuild
@@ -3,11 +3,11 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_10 )
+PYTHON_COMPAT=( python3_{10..11} )
 DISTUTILS_USE_PEP517=setuptools
 DISTUTILS_SINGLE_IMPL=1
 
-inherit distutils-r1
+inherit distutils-r1 toolchain-funcs
 
 DESCRIPTION="A double-entry accounting system that uses text files as input"
 HOMEPAGE="https://beancount.github.io https://github.com/beancount/beancount"
@@ -25,32 +25,73 @@ RDEPEND="
 		dev-python/google-api-python-client[${PYTHON_USEDEP}]
 		dev-python/lxml[${PYTHON_USEDEP}]
 		dev-python/ply[${PYTHON_USEDEP}]
-		dev-python/pytest[${PYTHON_USEDEP}]
 		dev-python/python-dateutil[${PYTHON_USEDEP}]
 		dev-python/python-magic[${PYTHON_USEDEP}]
 		dev-python/requests[${PYTHON_USEDEP}]
 	')
 "
+BDEPEND="
+	sys-devel/bison
+	sys-devel/flex
+"
 
 EPYTEST_DESELECT=( scripts/setup_test.py )
 
 distutils_enable_tests pytest
 
 src_prepare() {
+	distutils-r1_src_prepare
+
+	# remove test deps from 'install_requires'
+	sed "/pytest/d" -i setup.py || die
+
+	# we'll regenerate C sources
+	rm ${PN}/parser/grammar.{c,h} || die
+	rm ${PN}/parser/lexer.{c,h} || die
+
+	# repair tests
 	sed "/def find_repository_root/a\    return '${S}'" \
 		-i ${PN}/utils/test_utils.py || die
 	sed "s/\[PROGRAM\]/['${EPYTHON}', PROGRAM]/" \
 		-i ${PN}/tools/treeify_test.py || die
 	sed "/DATA_DIR =/c\    DATA_DIR = '${S}/${PN}/utils/file_type_testdata'" \
 		-i ${PN}/utils/file_type_test.py || die
-	distutils-r1_src_prepare
+}
+
+src_configure() {
+	tc-export CC
 }
 
 python_compile() {
 	distutils-r1_python_compile
 
 	# keep in sync with hashsrc.py, otherwise expect test failures
-	cp beancount/parser/{lexer.l,grammar.y,decimal.h,decimal.c,macros.h,parser.h,parser.c,tokens.h} "${BUILD_DIR}"/install$(python_get_sitedir)/${PN}/parser || die
+	local csources=(
+		decimal.{c,h}
+		grammar.y
+		lexer.l
+		macros.h
+		parser.{c,h}
+		tokens.h
+	)
+
+	for file in "${csources[@]}"; do
+		cp ${PN}/parser/${file} "${BUILD_DIR}"/install$(python_get_sitedir)/${PN}/parser || die
+	done
+}
+
+src_compile() {
+	local mymakeflags=(
+		PYCONFIG="$(python_get_PYTHON_CONFIG)"
+	)
+
+	emake "${mymakeflags[@]}" ${PN}/parser/grammar.c
+	emake "${mymakeflags[@]}" ${PN}/parser/lexer.c
+
+	distutils-r1_src_compile
+
+	use test && \
+		emake "${mymakeflags[@]}" ${PN}/parser/tokens_test
 }
 
 python_test(){
@@ -59,6 +100,10 @@ python_test(){
 }
 
 src_test() {
-	emake ctest
+	local mymakeflags=(
+		PYCONFIG="$(python_get_PYTHON_CONFIG)"
+	)
+
+	emake "${mymakeflags[@]}" ctest
 	distutils-r1_src_test
 }


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: app-office/beancount/
  2024-05-15 17:00 [gentoo-commits] repo/proj/guru:master commit in: app-office/beancount/ Julien Roy
@ 2024-05-15 16:55 ` Julien Roy
  0 siblings, 0 replies; 5+ messages in thread
From: Julien Roy @ 2024-05-15 16:55 UTC (permalink / raw
  To: gentoo-commits

commit:     f334193b0b7871740589dced59f3f5571f49d4ae
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Wed May 15 16:52:10 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Wed May 15 16:55:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f334193b

app-office/beancount: add 2.3.6, enable py3.12

Closes: https://bugs.gentoo.org/931358
Closes: https://bugs.gentoo.org/850412
Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 app-office/beancount/Manifest               |   1 +
 app-office/beancount/beancount-2.3.6.ebuild | 112 ++++++++++++++++++++++++++++
 2 files changed, 113 insertions(+)

diff --git a/app-office/beancount/Manifest b/app-office/beancount/Manifest
index afb4ee6891..3f8cd19516 100644
--- a/app-office/beancount/Manifest
+++ b/app-office/beancount/Manifest
@@ -1 +1,2 @@
 DIST beancount-2.3.5.gh.tar.gz 1718715 BLAKE2B 2bcbf250e6947c6ea93f7c4308fac2ea03c0b5b722dc4a6eb396133880ca201235ceb8cbb2e3a6e63afe573e1b3ab8bb945444a1edc73791b73200fb4d45bd18 SHA512 a3f1343ddf54cf13ef60802de210dc89e9ae202bca802b1b4eb532588f71d51fa4b71672b4e6a1e9676135d406fd55c421b80c439fa2f5f4279e61211f558a2a
+DIST beancount-2.3.6.gh.tar.gz 1720239 BLAKE2B 769aa27a9edc201e33a85f92780b4140b1758a35ca865255183bdcaf4c515ba3bf4c6711aa2842c9219027a44a7cc334c39b48eb36f5145caa689ba90cda64d5 SHA512 52b65f99753e9473aae7736419d104e46b422b33f854170cc0242a95c1d12483aae95264138f81d28c9a7b50ca961e75163cce83868db5bcc9afe7d2337f3036

diff --git a/app-office/beancount/beancount-2.3.6.ebuild b/app-office/beancount/beancount-2.3.6.ebuild
new file mode 100644
index 0000000000..c49b53d487
--- /dev/null
+++ b/app-office/beancount/beancount-2.3.6.ebuild
@@ -0,0 +1,112 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 toolchain-funcs
+
+DESCRIPTION="A double-entry accounting system that uses text files as input"
+HOMEPAGE="
+	https://beancount.github.io
+	https://github.com/beancount/beancount
+"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+		dev-python/bottle[${PYTHON_USEDEP}]
+		dev-python/chardet[${PYTHON_USEDEP}]
+		dev-python/google-api-python-client[${PYTHON_USEDEP}]
+		dev-python/lxml[${PYTHON_USEDEP}]
+		dev-python/ply[${PYTHON_USEDEP}]
+		dev-python/python-dateutil[${PYTHON_USEDEP}]
+		dev-python/python-magic[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+	')
+"
+BDEPEND="
+	sys-devel/bison
+	sys-devel/flex
+"
+
+EPYTEST_DESELECT=( scripts/setup_test.py )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	# remove test deps from 'install_requires'
+	sed "/pytest/d" -i setup.py || die
+
+	# we'll regenerate C sources
+	rm ${PN}/parser/grammar.{c,h} || die
+	rm ${PN}/parser/lexer.{c,h} || die
+
+	# repair tests
+	sed "/def find_repository_root/a\    return '${S}'" \
+		-i ${PN}/utils/test_utils.py || die
+	sed "s/\[PROGRAM\]/['${EPYTHON}', PROGRAM]/" \
+		-i ${PN}/tools/treeify_test.py || die
+	sed "/DATA_DIR =/c\    DATA_DIR = '${S}/${PN}/utils/file_type_testdata'" \
+		-i ${PN}/utils/file_type_test.py || die
+}
+
+src_configure() {
+	tc-export CC
+}
+
+python_compile() {
+	distutils-r1_python_compile
+
+	# keep in sync with hashsrc.py, otherwise expect test failures
+	local csources=(
+		decimal.{c,h}
+		grammar.y
+		lexer.l
+		macros.h
+		parser.{c,h}
+		tokens.h
+	)
+
+	for file in "${csources[@]}"; do
+		cp ${PN}/parser/${file} "${BUILD_DIR}"/install$(python_get_sitedir)/${PN}/parser || die
+	done
+}
+
+src_compile() {
+	local mymakeflags=(
+		PYCONFIG="$(python_get_PYTHON_CONFIG)"
+	)
+
+	emake "${mymakeflags[@]}" ${PN}/parser/grammar.c
+	emake "${mymakeflags[@]}" ${PN}/parser/lexer.c
+
+	distutils-r1_src_compile
+
+	use test && \
+		emake "${mymakeflags[@]}" ${PN}/parser/tokens_test
+}
+
+python_test(){
+	cd "${T}" || die
+	epytest --pyargs ${PN}
+}
+
+src_test() {
+	local mymakeflags=(
+		PYCONFIG="$(python_get_PYTHON_CONFIG)"
+	)
+
+	emake "${mymakeflags[@]}" ctest
+	distutils-r1_src_test
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-office/beancount/
@ 2024-05-15 17:00 Julien Roy
  2024-05-15 16:55 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
  0 siblings, 1 reply; 5+ messages in thread
From: Julien Roy @ 2024-05-15 17:00 UTC (permalink / raw
  To: gentoo-commits

commit:     f334193b0b7871740589dced59f3f5571f49d4ae
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Wed May 15 16:52:10 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Wed May 15 16:55:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f334193b

app-office/beancount: add 2.3.6, enable py3.12

Closes: https://bugs.gentoo.org/931358
Closes: https://bugs.gentoo.org/850412
Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 app-office/beancount/Manifest               |   1 +
 app-office/beancount/beancount-2.3.6.ebuild | 112 ++++++++++++++++++++++++++++
 2 files changed, 113 insertions(+)

diff --git a/app-office/beancount/Manifest b/app-office/beancount/Manifest
index afb4ee6891..3f8cd19516 100644
--- a/app-office/beancount/Manifest
+++ b/app-office/beancount/Manifest
@@ -1 +1,2 @@
 DIST beancount-2.3.5.gh.tar.gz 1718715 BLAKE2B 2bcbf250e6947c6ea93f7c4308fac2ea03c0b5b722dc4a6eb396133880ca201235ceb8cbb2e3a6e63afe573e1b3ab8bb945444a1edc73791b73200fb4d45bd18 SHA512 a3f1343ddf54cf13ef60802de210dc89e9ae202bca802b1b4eb532588f71d51fa4b71672b4e6a1e9676135d406fd55c421b80c439fa2f5f4279e61211f558a2a
+DIST beancount-2.3.6.gh.tar.gz 1720239 BLAKE2B 769aa27a9edc201e33a85f92780b4140b1758a35ca865255183bdcaf4c515ba3bf4c6711aa2842c9219027a44a7cc334c39b48eb36f5145caa689ba90cda64d5 SHA512 52b65f99753e9473aae7736419d104e46b422b33f854170cc0242a95c1d12483aae95264138f81d28c9a7b50ca961e75163cce83868db5bcc9afe7d2337f3036

diff --git a/app-office/beancount/beancount-2.3.6.ebuild b/app-office/beancount/beancount-2.3.6.ebuild
new file mode 100644
index 0000000000..c49b53d487
--- /dev/null
+++ b/app-office/beancount/beancount-2.3.6.ebuild
@@ -0,0 +1,112 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 toolchain-funcs
+
+DESCRIPTION="A double-entry accounting system that uses text files as input"
+HOMEPAGE="
+	https://beancount.github.io
+	https://github.com/beancount/beancount
+"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+		dev-python/bottle[${PYTHON_USEDEP}]
+		dev-python/chardet[${PYTHON_USEDEP}]
+		dev-python/google-api-python-client[${PYTHON_USEDEP}]
+		dev-python/lxml[${PYTHON_USEDEP}]
+		dev-python/ply[${PYTHON_USEDEP}]
+		dev-python/python-dateutil[${PYTHON_USEDEP}]
+		dev-python/python-magic[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+	')
+"
+BDEPEND="
+	sys-devel/bison
+	sys-devel/flex
+"
+
+EPYTEST_DESELECT=( scripts/setup_test.py )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	# remove test deps from 'install_requires'
+	sed "/pytest/d" -i setup.py || die
+
+	# we'll regenerate C sources
+	rm ${PN}/parser/grammar.{c,h} || die
+	rm ${PN}/parser/lexer.{c,h} || die
+
+	# repair tests
+	sed "/def find_repository_root/a\    return '${S}'" \
+		-i ${PN}/utils/test_utils.py || die
+	sed "s/\[PROGRAM\]/['${EPYTHON}', PROGRAM]/" \
+		-i ${PN}/tools/treeify_test.py || die
+	sed "/DATA_DIR =/c\    DATA_DIR = '${S}/${PN}/utils/file_type_testdata'" \
+		-i ${PN}/utils/file_type_test.py || die
+}
+
+src_configure() {
+	tc-export CC
+}
+
+python_compile() {
+	distutils-r1_python_compile
+
+	# keep in sync with hashsrc.py, otherwise expect test failures
+	local csources=(
+		decimal.{c,h}
+		grammar.y
+		lexer.l
+		macros.h
+		parser.{c,h}
+		tokens.h
+	)
+
+	for file in "${csources[@]}"; do
+		cp ${PN}/parser/${file} "${BUILD_DIR}"/install$(python_get_sitedir)/${PN}/parser || die
+	done
+}
+
+src_compile() {
+	local mymakeflags=(
+		PYCONFIG="$(python_get_PYTHON_CONFIG)"
+	)
+
+	emake "${mymakeflags[@]}" ${PN}/parser/grammar.c
+	emake "${mymakeflags[@]}" ${PN}/parser/lexer.c
+
+	distutils-r1_src_compile
+
+	use test && \
+		emake "${mymakeflags[@]}" ${PN}/parser/tokens_test
+}
+
+python_test(){
+	cd "${T}" || die
+	epytest --pyargs ${PN}
+}
+
+src_test() {
+	local mymakeflags=(
+		PYCONFIG="$(python_get_PYTHON_CONFIG)"
+	)
+
+	emake "${mymakeflags[@]}" ctest
+	distutils-r1_src_test
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-office/beancount/
@ 2024-05-15 17:00 Julien Roy
  0 siblings, 0 replies; 5+ messages in thread
From: Julien Roy @ 2024-05-15 17:00 UTC (permalink / raw
  To: gentoo-commits

commit:     3ef009c189c485942779be1c9ed29d68800e7bf9
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Wed May 15 16:52:44 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Wed May 15 16:55:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3ef009c1

app-office/beancount: drop 2.3.5-r2

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 app-office/beancount/Manifest                  |   1 -
 app-office/beancount/beancount-2.3.5-r2.ebuild | 109 -------------------------
 2 files changed, 110 deletions(-)

diff --git a/app-office/beancount/Manifest b/app-office/beancount/Manifest
index 3f8cd19516..fc8fe69e9f 100644
--- a/app-office/beancount/Manifest
+++ b/app-office/beancount/Manifest
@@ -1,2 +1 @@
-DIST beancount-2.3.5.gh.tar.gz 1718715 BLAKE2B 2bcbf250e6947c6ea93f7c4308fac2ea03c0b5b722dc4a6eb396133880ca201235ceb8cbb2e3a6e63afe573e1b3ab8bb945444a1edc73791b73200fb4d45bd18 SHA512 a3f1343ddf54cf13ef60802de210dc89e9ae202bca802b1b4eb532588f71d51fa4b71672b4e6a1e9676135d406fd55c421b80c439fa2f5f4279e61211f558a2a
 DIST beancount-2.3.6.gh.tar.gz 1720239 BLAKE2B 769aa27a9edc201e33a85f92780b4140b1758a35ca865255183bdcaf4c515ba3bf4c6711aa2842c9219027a44a7cc334c39b48eb36f5145caa689ba90cda64d5 SHA512 52b65f99753e9473aae7736419d104e46b422b33f854170cc0242a95c1d12483aae95264138f81d28c9a7b50ca961e75163cce83868db5bcc9afe7d2337f3036

diff --git a/app-office/beancount/beancount-2.3.5-r2.ebuild b/app-office/beancount/beancount-2.3.5-r2.ebuild
deleted file mode 100644
index 4612d6706c..0000000000
--- a/app-office/beancount/beancount-2.3.5-r2.ebuild
+++ /dev/null
@@ -1,109 +0,0 @@
-# Copyright 2021-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..11} )
-DISTUTILS_USE_PEP517=setuptools
-DISTUTILS_SINGLE_IMPL=1
-
-inherit distutils-r1 toolchain-funcs
-
-DESCRIPTION="A double-entry accounting system that uses text files as input"
-HOMEPAGE="https://beancount.github.io https://github.com/beancount/beancount"
-SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	$(python_gen_cond_dep '
-		dev-python/beautifulsoup4[${PYTHON_USEDEP}]
-		dev-python/bottle[${PYTHON_USEDEP}]
-		dev-python/chardet[${PYTHON_USEDEP}]
-		dev-python/google-api-python-client[${PYTHON_USEDEP}]
-		dev-python/lxml[${PYTHON_USEDEP}]
-		dev-python/ply[${PYTHON_USEDEP}]
-		dev-python/python-dateutil[${PYTHON_USEDEP}]
-		dev-python/python-magic[${PYTHON_USEDEP}]
-		dev-python/requests[${PYTHON_USEDEP}]
-	')
-"
-BDEPEND="
-	sys-devel/bison
-	sys-devel/flex
-"
-
-EPYTEST_DESELECT=( scripts/setup_test.py )
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	distutils-r1_src_prepare
-
-	# remove test deps from 'install_requires'
-	sed "/pytest/d" -i setup.py || die
-
-	# we'll regenerate C sources
-	rm ${PN}/parser/grammar.{c,h} || die
-	rm ${PN}/parser/lexer.{c,h} || die
-
-	# repair tests
-	sed "/def find_repository_root/a\    return '${S}'" \
-		-i ${PN}/utils/test_utils.py || die
-	sed "s/\[PROGRAM\]/['${EPYTHON}', PROGRAM]/" \
-		-i ${PN}/tools/treeify_test.py || die
-	sed "/DATA_DIR =/c\    DATA_DIR = '${S}/${PN}/utils/file_type_testdata'" \
-		-i ${PN}/utils/file_type_test.py || die
-}
-
-src_configure() {
-	tc-export CC
-}
-
-python_compile() {
-	distutils-r1_python_compile
-
-	# keep in sync with hashsrc.py, otherwise expect test failures
-	local csources=(
-		decimal.{c,h}
-		grammar.y
-		lexer.l
-		macros.h
-		parser.{c,h}
-		tokens.h
-	)
-
-	for file in "${csources[@]}"; do
-		cp ${PN}/parser/${file} "${BUILD_DIR}"/install$(python_get_sitedir)/${PN}/parser || die
-	done
-}
-
-src_compile() {
-	local mymakeflags=(
-		PYCONFIG="$(python_get_PYTHON_CONFIG)"
-	)
-
-	emake "${mymakeflags[@]}" ${PN}/parser/grammar.c
-	emake "${mymakeflags[@]}" ${PN}/parser/lexer.c
-
-	distutils-r1_src_compile
-
-	use test && \
-		emake "${mymakeflags[@]}" ${PN}/parser/tokens_test
-}
-
-python_test(){
-	cd "${T}" || die
-	epytest --pyargs ${PN}
-}
-
-src_test() {
-	local mymakeflags=(
-		PYCONFIG="$(python_get_PYTHON_CONFIG)"
-	)
-
-	emake "${mymakeflags[@]}" ctest
-	distutils-r1_src_test
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2024-05-15 17:00 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-05-15 17:00 [gentoo-commits] repo/proj/guru:master commit in: app-office/beancount/ Julien Roy
2024-05-15 16:55 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
  -- strict thread matches above, loose matches on Subject: below --
2024-05-15 17:00 [gentoo-commits] repo/proj/guru:master " Julien Roy
2023-02-27 15:06 Florian Schmaus
2021-01-05 15:21 Andrew Ammerlaan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox